%define upstream_name    PDL
%define upstream_version 2.100

%define Werror_cflags %nil

Name:       perl-%{upstream_name}
Epoch:      2
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1
Summary:    PerlDL, an efficient numerical language for scientific computing
License:    GPL
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/authors/id/C/CH/CHM/%{upstream_name}-%{upstream_version}.tar.gz
Source1:    PDL-convert-doc.pl.bz2
#
# Fedora Patches:
#
#
# Mageia Patches:
#
Patch12:    PDL-2.99.0-handle-INSTALLDIRS-vendor.patch
# (tv) needed for Trid support:
Patch16:    fix-missing-deps-for-Trid.patch

# (tv) needed for Slatec support:

BuildRequires: perl(CPAN::Meta) >= 2.120.900
BuildRequires: perl(Data::Dumper) >= 2.121.0
BuildRequires: perl(Devel::CheckLib) >= 1.10.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(ExtUtils::ParseXS) >= 3.210.0
BuildRequires: perl(File::Map) >= 0.570.0
BuildRequires: perl(File::Path)
BuildRequires: perl(File::Which)
BuildRequires: perl(Filter::Simple) >= 0.880.0
BuildRequires: perl(Filter::Util::Call)
BuildRequires: perl(Inline) >= 0.830.0
BuildRequires: perl(Inline::C) >= 0.620.0
BuildRequires: perl(List::Util) >= 1.330.0
BuildRequires: perl(Math::Complex)
BuildRequires: perl(OpenGL) >= 0.700.0
BuildRequires: perl(OpenGL::GLUT) >= 0.700.0
BuildRequires: perl(Pod::Select)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Storable) >= 1.30.0
BuildRequires: perl(Test::Deep)
BuildRequires: perl(Test::Exception)
BuildRequires: perl(Test::Warn)
BuildRequires: perl(Text::Balanced) >= 2.50.0
BuildRequires: fftw-devel
BuildRequires: gd-devel
BuildRequires: gsl-devel >= 1.0
BuildRequires: hdf-static
BuildRequires: hdf-devel
BuildRequires: gcc-gfortran
BuildRequires: pkgconfig(gsl)
BuildRequires: pkgconfig(glu)
BuildRequires: pkgconfig(freeglut)
BuildRequires: pkgconfig(ncurses)
BuildRequires: perl-devel
# OpenGL >= 0.6702 is required but newer OpenGL-0.70 shortened the version

BuildRequires: pkgconfig(x11)
BuildRequires: pkgconfig(xext)
BuildRequires: pkgconfig(xi)
BuildRequires: pkgconfig(xmu)
BuildRequires: szlib-devel
# if installed, requires f2c-devel,
# but it is a contrib package
BuildConflicts: f2c

Provides:   perl(PDL::AutoLoader) = %{version}
Provides:   perl(PDL::Config) = %{version}
Provides:   perl(PDL::DiskCache) = %{version}
Provides:   perl(PDL::PP::CType) = %{version}
Provides:   perl(PDL::PP::Dims) = %{version}
Provides:   perl(PDL::PP::PDLCode) = %{version}
Provides:   perl(PDL::PP::PdlParObj) = %{version}
Provides:   perl(PDL::PP::SymTab) = %{version}
Provides:   perl(PDL::PP::XS) = %{version}
Provides:   perl(PDL::Graphics::TriD::Objects) = %{version}
Provides:   perl(PDL::Slatec) = %{version}

# From Fedora:
%{?perl_default_filter}
%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}^perl\\((OpenGL::Config|PDL::Demos::Screen|PDL::Graphics::PGPLOT|PDL::Graphics::PGPLOT::Window|Tk|Win32::DDE::Client)\\)$
%global __requires_exclude %{__requires_exclude}|^perl\\(PDL::Graphics::Simple\\)$
%global __provides_exclude %{?__provides_exclude:%__provides_exclude|}^perl\\(Inline\\)$
%global __provides_exclude %__provides_exclude|^perl\\(Win32.*\\)$
# Remove under-specified dependencies
%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}^perl\\((Data::Dumper|File::Spec|Filter::Simple|Inline|Module::Compile|OpenGL|Text::Balanced)\\)$
# Filter modules bundled for tests
%global __requires_exclude %{__requires_exclude}|^perl\\(My::Test::Primitive\\)
# Mageia:
%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}^perl\\((Prima[A-Za-z:_]*)\\)$

%description

%package    doc
Summary:    PerlDL documentation package
Group:      Documentation
Requires:   perl-PDL
Conflicts:  perl-PDL <= 2.20.0-1.mga8

%description
The perlDL project aims to turn perl into an efficient numerical language for
scientific computing. The PDL module gives standard perl the ability to
COMPACTLY store and SPEEDILY manipulate the large N-dimensional data sets which
are the bread and butter of scientific computing. e.g. C<$a=$b+$c> can add two
2048x2048 images in only a fraction of a second.

The aim is to provide tons of useful functionality for
scientific and numeric analysis.

%description    doc
The perlDL project aims to turn perl into an efficient numerical language for
scientific computing. The PDL module gives standard perl the ability to
COMPACTLY store and SPEEDILY manipulate the large N-dimensional data sets which
are the bread and butter of scientific computing. e.g. C<$a=$b+$c> can add two
2048x2048 images in only a fraction of a second.

The aim is to provide tons of useful functionality for
scientific and numeric analysis.

This is the documentation package.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
#patch -P4 -p1

# Fix shellbang
perl -MConfig -pi -e 's|^#!/usr/bin/env perl|$Config{startperl}|' Perldl2/pdl2

# Help file to recognise the Perl scripts
for F in t/*.t; do
    perl -i -MConfig -ple 'print $Config{startperl} if $. == 1 && !s{\A#!.*perl\b}{$Config{startperl}}' "$F"
    chmod +x "$F"
done
%patch -P12 -p1 -b .vendor
%patch -P16 -p0 -b .trid

%build
echo | %__perl Makefile.PL INSTALLDIRS=vendor PREFIX=%{_prefix} OPTIMIZE="%{optflags}"
make
#DISPLAY="" make test

make

%install
%make_install

# create /usr/bin if it doesn't already exist
%__mkdir_p %{buildroot}%{_bindir}

# fix installed documentation
%__bzip2 -dc %{SOURCE1} | %__perl - "%{buildroot}"

%files
%license COPYING
%doc COPYING Changes GENERATED META.json META.yml MYMETA.yml examples
%{_bindir}/*
%{_mandir}/*/*
%{perl_vendorarch}/PDL.pm
%{perl_vendorarch}/PDL
%{perl_vendorarch}/PDLdb.pl
%{perl_vendorarch}/auto/PDL
%{perl_vendorarch}/Inline
%{perl_vendorarch}/Test
%exclude %{perl_vendorarch}/PDL/*.pod
%exclude %{perl_vendorarch}/PDL/Demos/
%exclude %{perl_vendorarch}/PDL/HtmlDocs

%files doc
%doc COPYING lib/PDL/Demos
%{perl_vendorarch}/PDL/*.pod
#{perl_vendorarch}/PDL/Demos/
#{perl_vendorarch}/PDL/HtmlDocs


%changelog
* Sun Mar 30 2025 tv <tv> 2:2.100.0-1.mga10
+ Revision: 2171921
- update to 2.100

* Mon Jan 27 2025 daviddavid <daviddavid> 2:2.99.0-2.mga10
+ Revision: 2142826
- add more virtual provides

* Mon Jan 27 2025 tv <tv> 2:2.99.0-1.mga10
+ Revision: 2142761
- update to 2.099

* Sat Oct 05 2024 tv <tv> 2:2.93.0-1.mga10
+ Revision: 2103434
- update to 2.093

* Thu Sep 12 2024 tv <tv> 2:2.92.0-1.mga10
+ Revision: 2095285
- update to 2.092

* Mon Sep 02 2024 tv <tv> 2:2.90.0-1.mga10
+ Revision: 2092736
- update to 2.090

* Fri Aug 23 2024 tv <tv> 2:2.89.0-3.mga10
+ Revision: 2089262
- Rebuild for perl-5.40

* Tue Jun 25 2024 daviddavid <daviddavid> 2:2.89.0-2.mga10
+ Revision: 2076616
- Filter run-require PDL::Graphics::Simple from module PDL::Demos::Func_demo
- Filter run-require PDL::Graphics::Simple from module PDL::Demos::Func_demo

* Wed May 22 2024 tv <tv> 2:2.89.0-1.mga10
+ Revision: 2065987
- update to 2.089

* Sun Apr 28 2024 tv <tv> 2:2.88.0-1.mga10
+ Revision: 2061522
- update to 2.088

* Sun Apr 14 2024 tv <tv> 2:2.87.0-1.mga10
+ Revision: 2057537
- update to 2.087

* Thu Feb 01 2024 tv <tv> 2:2.85.0-1.mga10
+ Revision: 2036589
- update to 2.085

* Thu Nov 30 2023 tv <tv> 2:2.84.0-2.mga10
+ Revision: 2011610
- Rebuild for perl-5.38

* Mon Sep 11 2023 tv <tv> 2:2.84.0-1.mga10
+ Revision: 1986304
- update to 2.084

* Thu Dec 29 2022 daviddavid <daviddavid> 2:2.81.0-2.mga9
+ Revision: 1927519
- rebuild for new gsl 2.7.1

* Thu Oct 27 2022 tv <tv> 2:2.81.0-1.mga9
+ Revision: 1899800
- update to 2.081

* Tue Jun 07 2022 umeabot <umeabot> 2:2.80.0-2.mga9
+ Revision: 1862916
- Rebuild for Perl 5.36

* Tue May 31 2022 tv <tv> 2:2.80.0-1.mga9
+ Revision: 1860849
- update to 2.080

* Thu May 05 2022 tv <tv> 2:2.79.0-1.mga9
+ Revision: 1856329
- update to 2.079

* Tue Apr 12 2022 tv <tv> 2:2.78.0-1.mga9
+ Revision: 1849051
- update to 2.078

* Fri Mar 18 2022 tv <tv> 2:2.77.0-1.mga9
+ Revision: 1798328
- update to 2.077

* Fri Mar 11 2022 tv <tv> 2:2.76.0-4.mga9
+ Revision: 1790396
- add a patch so that magpie stops removing BR on OpeGL::GLUT (thus building Trid and thus fixing deps for doc subpkg)
- clean & versionate provides

* Thu Mar 10 2022 tv <tv> 2:2.76.0-3.mga9
+ Revision: 1790264
- add a patch so that magpie stops removing BR on Inline && Inline::C(thus fixing deps for doc subpkg)

* Wed Mar 09 2022 tv <tv> 2:2.76.0-2.mga9
+ Revision: 1789988
- add a patch so that magpie stops removing BR on ExtUtils::F77 (thus fixing deps)

* Fri Mar 04 2022 tv <tv> 2:2.76.0-1.mga9
+ Revision: 1788434
- update to 2.076

* Thu Feb 24 2022 tv <tv> 2:2.75.0-1.mga9
+ Revision: 1784111
- update to 2.075

* Sat Feb 12 2022 tv <tv> 2:2.74.0-1.mga9
+ Revision: 1773271
- update to 2.074

* Wed Feb 02 2022 tv <tv> 2:2.72.0-1.mga9
+ Revision: 1771026
- update to 2.072

* Wed Jan 19 2022 tv <tv> 2:2.68.0-1.mga9
+ Revision: 1769103
- update to 2.068

* Sat Jan 15 2022 tv <tv> 2:2.67.0-1.mga9
+ Revision: 1768417
- update to 2.067

* Mon Jan 10 2022 tv <tv> 2:2.64.0-1.mga9
+ Revision: 1767827
- update to 2.064

* Mon Nov 22 2021 tv <tv> 2:2.63.0-1.mga9
+ Revision: 1758609
- update to 2.063

* Mon Nov 15 2021 tv <tv> 2:2.61.0-1.mga9
+ Revision: 1756746
- update to 2.061

* Tue Nov 09 2021 tv <tv> 2:2.60.0-1.mga9
+ Revision: 1755176
- update to 2.060

* Tue Nov 09 2021 tv <tv> 2:2.58.0-1.mga9
+ Revision: 1755151
- update to 2.058

* Thu Sep 02 2021 tv <tv> 2:2.57.0-2.mga9
+ Revision: 1744144
- Make sure magpie won't ever remove the BR on OpenGL anymore...

* Mon Aug 16 2021 tv <tv> 2:2.57.0-1.mga9
+ Revision: 1741721
- update to 2.057

* Thu Aug 05 2021 tv <tv> 2:2.55.0-1.mga9
+ Revision: 1739516
- update to 2.055

* Fri Jul 30 2021 tv <tv> 2:2.54.0-1.mga9
+ Revision: 1738198
- update to 2.054

* Wed Jul 07 2021 tv <tv> 2:2.52.0-1.mga9
+ Revision: 1735070
- update to 2.052

* Wed Jun 16 2021 tv <tv> 2:2.51.0-1.mga9
+ Revision: 1730890
- update to 2.051

* Tue Jun 08 2021 tv <tv> 2:2.50.0-1.mga9
+ Revision: 1730140
- update to 2.050

* Fri Jun 04 2021 tv <tv> 2:2.49.0-2.mga9
+ Revision: 1729751
- BR perl(OpenGL) for enabling Trid

* Tue Jun 01 2021 tv <tv> 2:2.49.0-1.mga9
+ Revision: 1729176
- update to 2.049

* Tue May 25 2021 tv <tv> 2:2.48.0-1.mga9
+ Revision: 1728097
- update to 2.048
+ tmb <tmb>
- rebuild for perl 5.34
+ umeabot <umeabot>
- Rebuild for perl 5.34

* Wed May 12 2021 tv <tv> 2:2.47.0-1.mga9
+ Revision: 1722600
- update to 2.047

* Fri May 07 2021 tv <tv> 2:2.46.0-1.mga9
+ Revision: 1722164
- update to 2.046

* Tue May 04 2021 tv <tv> 2:2.44.0-1.mga9
+ Revision: 1721262
- update to 2.044

* Thu Apr 29 2021 tv <tv> 2:2.40.20-1.mga9
+ Revision: 1720393
- Update to 2.040_02 to fix building on 32 bit
- fix building on 32 bit
- update to 2.040

* Wed Apr 28 2021 tv <tv> 2:2.39.0-1.mga9
+ Revision: 1720222
- update to 2.039

* Tue Apr 20 2021 tv <tv> 2:2.38.0-1.mga9
+ Revision: 1717431
- update to 2.038

* Mon Apr 19 2021 tv <tv> 2:2.37.0-1.mga9
+ Revision: 1716912
- update to 2.037

* Sun Apr 04 2021 tv <tv> 2:2.34.0-1.mga9
+ Revision: 1713130
- update to 2.034

* Fri Mar 26 2021 tv <tv> 2:2.32.0-1.mga9
+ Revision: 1710723
- update to 2.032

* Wed Mar 24 2021 tv <tv> 2:2.31.0-1.mga9
+ Revision: 1708657
- update to 2.031

* Mon Mar 22 2021 tv <tv> 2:2.30.0-1.mga9
+ Revision: 1707252
- update to 2.030

* Fri Mar 19 2021 tv <tv> 2:2.29.0-2.mga9
+ Revision: 1704891
- add a patch so that magpie stops removing BR on ExtUtils::F77 (thus fixing deps)

* Fri Mar 19 2021 tv <tv> 2:2.29.0-1.mga9
+ Revision: 1704833
- update to 2.029

* Tue Mar 09 2021 tv <tv> 2:2.28.0-1.mga9
+ Revision: 1700802
- update to 2.028

* Thu Feb 25 2021 tv <tv> 2:2.26.0-2.mga9
+ Revision: 1691393
- restore BR on ExtUtils::F77, thus fixing deps (bad magpie)

* Thu Feb 25 2021 tv <tv> 2:2.26.0-1.mga9
+ Revision: 1690612
- update to 2.026

* Wed Jan 06 2021 daviddavid <daviddavid> 2:2.25.0-3.mga8
+ Revision: 1669172
- rebuild with fixed hdf

* Fri Nov 20 2020 tv <tv> 2:2.25.0-2.mga8
+ Revision: 1647892
- restore BR on ExtUtils::F77, thus fixing deps

* Fri Nov 20 2020 tv <tv> 2:2.25.0-1.mga8
+ Revision: 1647847
- update to 2.025

* Fri Sep 18 2020 tv <tv> 2:2.24.0-1.mga8
+ Revision: 1628512
- update to 2.024

* Tue Sep 15 2020 tv <tv> 2:2.23.0-2.mga8
+ Revision: 1626714
- restore BR on ExtUtils::F77, thus fixing deps

* Tue Sep 15 2020 tv <tv> 2:2.23.0-1.mga8
+ Revision: 1626643
- update to 2.023

* Tue Sep 08 2020 tv <tv> 2:2.22.0-2.mga8
+ Revision: 1623608
- restore BR on ExtUtils::F77, thus fixing deps

* Tue Sep 08 2020 shlomif <shlomif> 2:2.22.0-1.mga8
+ Revision: 1623467
- update to 2.022

* Fri Aug 28 2020 tv <tv> 2:2.21.0-5.mga8
+ Revision: 1619450
- fix doc subpkg deps

* Thu Jun 18 2020 umeabot <umeabot> 2:2.21.0-4.mga8
+ Revision: 1596057
- Rebuild for perl 5.32
- Rebuild for perl 5.32

* Mon Mar 02 2020 tv <tv> 2:2.21.0-2.mga8
+ Revision: 1552939
- restore BR on perl(ExtUtils::F77) for Slatec support

* Mon Mar 02 2020 tv <tv> 2:2.21.0-1.mga8
+ Revision: 1552868
- update to 2.021

* Tue Feb 18 2020 umeabot <umeabot> 2:2.20.0-4.mga8
+ Revision: 1541131
- Mageia 8 Mass Rebuild

* Sat Dec 21 2019 tv <tv> 2:2.20.0-3.mga8
+ Revision: 1469265
- BR ExtUtils::F77 which is needed for building PDL::Slatec which was the last remaining broken deps
- enable GD & HDF support

* Fri Dec 20 2019 tv <tv> 2:2.20.0-2.mga8
+ Revision: 1469138
- add FC patches in order to compile with -FPIC
- move demos & examples into the doc pkg, thus fixing the main package deps

* Thu Dec 12 2019 tv <tv> 2:2.20.0-1.mga8
+ Revision: 1466027
- update to 2.020

* Tue Aug 27 2019 tmb <tmb> 2:2.19.0-6.mga8
+ Revision: 1433871
- rebuild for perl 5.30
+ tv <tv>
- rebuild with perl-5.30

* Fri Sep 21 2018 umeabot <umeabot> 2:2.19.0-4.mga7
+ Revision: 1293628
- Mageia 7 Mass Rebuild

* Wed Aug 08 2018 pterjan <pterjan> 2:2.19.0-3.mga7
+ Revision: 1250334
- Rebuild for perl 5.28

* Tue Jul 31 2018 eatdirt <eatdirt> 2:2.19.0-2.mga7
+ Revision: 1246409
- Rebuild for new gfortran
+ wally <wally>
- BR szlib-devel

* Mon May 07 2018 tv <tv> 2:2.19.0-1.mga7
+ Revision: 1226912
- update to 2.019

* Wed Dec 27 2017 wally <wally> 2:2.18.0-6.mga7
+ Revision: 1185650
- rebuild for new gsl

* Tue Oct 03 2017 tv <tv> 2:2.18.0-5.mga7
+ Revision: 1166144
- rebuild with fixed rpm for missing autodeps

* Sat Sep 02 2017 tv <tv> 2:2.18.0-4.mga7
+ Revision: 1150701
- rebuild for new gcc-gfortran

* Thu Aug 31 2017 pterjan <pterjan> 2:2.18.0-2.mga7
+ Revision: 1150145
- Rebuild for perl ABI changes

* Sat Jul 22 2017 shlomif <shlomif> 2:2.18.0-1.mga7
+ Revision: 1128117
- New version 2.018
+ neoclust <neoclust>
- Rebuild against new Perl 5.26

* Fri Jun 03 2016 joequant <joequant> 2:2.15.0-2.mga6
+ Revision: 1020145
- add pic for arm compile

* Sun May 08 2016 shlomif <shlomif> 2:2.15.0-1.mga6
+ Revision: 1010756
- update to 2.015

* Tue Jan 26 2016 luigiwalser <luigiwalser> 2:2.14.0-2.mga6
+ Revision: 927782
- add patch from debian to fix build with gsl version 2
- rebuild for gsl

* Wed Oct 14 2015 sander85 <sander85> 2:2.14.0-1.mga6
+ Revision: 891513
- update to 2.014

* Sun Aug 23 2015 sander85 <sander85> 2:2.13.0-1.mga6
+ Revision: 868638
- update to 2.013

* Tue Aug 04 2015 shlomif <shlomif> 2:2.12.0-4.mga6
+ Revision: 861055
- Remove unnecessary Requires on perl-Prima

* Fri Jun 26 2015 tv <tv> 2:2.12.0-3.mga6
+ Revision: 845098
- rebuild for soname-ifed perl

* Wed Jun 24 2015 sander85 <sander85> 2:2.12.0-2.mga6
+ Revision: 842083
- Add some hacks to fix writing permissions during doc generation

* Wed Jun 24 2015 shlomif <shlomif> 2:2.12.0-1.mga6
+ Revision: 842032
- New version 2.012 + Rebuild for the new perl-5.22.0

* Wed Oct 15 2014 umeabot <umeabot> 2:2.7.0-6.mga5
+ Revision: 750060
- Second Mageia 5 Mass Rebuild

* Fri Oct 03 2014 tv <tv> 2:2.7.0-5.mga5
+ Revision: 736608
- add missing provides

* Thu Oct 02 2014 tv <tv> 2:2.7.0-4.mga5
+ Revision: 735149
- add exclude

* Tue Sep 23 2014 tv <tv> 2:2.7.0-3.mga5
+ Revision: 722231
- use %%perl_default_filter

* Tue Sep 16 2014 umeabot <umeabot> 1:2.7.0-3.mga5
+ Revision: 685802
- Mageia 5 Mass Rebuild
+ tv <tv>
- use %%global for req/prov exclude
- autoconvert to new prov/req excludes

* Tue Jun 03 2014 jquelin <jquelin> 1:2.7.0-2.mga5
+ Revision: 632475
- perl 5.20.0 rebuild

* Fri Jan 17 2014 shlomif <shlomif> 1:2.7.0-1.mga4
+ Revision: 566772
- Upgrade to PDL-2.007.
  In the process did some cleanups to the .spec like removing trailing space
  or removing unneeded %%doc files.
  This fixes the test suite of AI-Pathfinding-OptimizeMultiple which uncovered
  an XS bug in PDL.

* Tue Dec 31 2013 pterjan <pterjan> 1:2.6.0-3.mga4
+ Revision: 563375
- Fix patch 2
- Add a patch to ignore broken subdirs that we dont want anyway
+ umeabot <umeabot>
- Mageia 4 Mass Rebuild

* Mon Jun 10 2013 jquelin <jquelin> 1:2.6.0-1.mga4
+ Revision: 441808
- update to 2.006

* Wed May 29 2013 tv <tv> 1:2.4.11-4.mga4
+ Revision: 432728
- rebuild for new perl

* Sun Jan 13 2013 umeabot <umeabot> 1:2.4.11-3.mga3
+ Revision: 371200
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Oct 10 2012 jquelin <jquelin> 1:2.4.11-2.mga3
+ Revision: 304082
- fix rpm group

* Wed Jun 06 2012 jquelin <jquelin> 1:2.4.11-1.mga3
+ Revision: 256139
- update to 2.4.11

* Wed May 30 2012 jquelin <jquelin> 1:2.4.10-2.mga3
+ Revision: 251045
- rebuild for perl 5.16

* Fri Feb 24 2012 jquelin <jquelin> 1:2.4.10-1.mga2
+ Revision: 213789
- update to 2.4.10

* Sat Dec 10 2011 kharec <kharec> 1:2.4.9_13-1.mga2
+ Revision: 180459
- New version 2.4.9_013

* Thu Sep 29 2011 fwang <fwang> 1:2.4.9-3.mga2
+ Revision: 150194
- tighten br

* Sun Jun 12 2011 sander85 <sander85> 1:2.4.9-2.mga2
+ Revision: 104412
- Rebuild for perl 5.14

* Tue Apr 12 2011 jquelin <jquelin> 1:2.4.9-1.mga1
+ Revision: 83803
- update to 2.4.9

* Fri Apr 08 2011 jquelin <jquelin> 1:2.4.8-1.mga1
+ Revision: 82247
- update to 2.4.8

* Sat Jan 22 2011 jquelin <jquelin> 1:2.4.7-2.mga1
+ Revision: 32285
- mageia rebuild
- imported package perl-PDL

